Public Class FormularzGłówny
    Private m_objObszarRysowania As Bitmap

    Private Sub FormularzGłówny_Paint(sender As Object, e As PaintEventArgs) Handles Me.Paint
        Dim objGrafika As Graphics
        Dim rectGranice As Rectangle
        ' Obiektu e.Graphics nie można modyfikować bezpośrednio.
        objGrafika = e.Graphics
        ' Utwórz prostokąt o takich samych wymiarach jak obszar formularza.
        rectGranice = New Rectangle(0, 0, Me.ClientRectangle.Width,
                                    Me.ClientRectangle.Height)
        ' Zmniejsz nieznacznie prostokąt, aby elipsa nie zachodziła na ramkę formularza.
        rectGranice.Inflate(-1, -1)
        ' Narysuj elipsę zajmującą cały formularz.
        objGrafika.DrawEllipse(System.Drawing.Pens.Orange, rectGranice)

    End Sub

    Private Sub FormularzGłówny_Resize(sender As Object, e As EventArgs) Handles Me.Resize
        Me.Invalidate()

    End Sub
End Class
